# LuminosityHighPassShader

## Import

LuminosityHighPassShader is an addon, and must be imported explicitly, see [Installation#Addons](https://threejs.org/manual/#en/installation).

```js
import { LuminosityHighPassShader } from 'three/addons/shaders/LuminosityHighPassShader.js';
```

## Properties

### .LuminosityHighPassShader : ShaderMaterial~Shader (inner, constant)

Luminosity high pass shader.

## Source

[examples/jsm/shaders/LuminosityHighPassShader.js](https://github.com/mrdoob/three.js/blob/master/examples/jsm/shaders/LuminosityHighPassShader.js)